> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.noyax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update customer parameter definition

> Replaces all fields of the definition.

To change individual fields, use a [partial update](/en/v1/guides/partial-update): `PATCH` changes only the fields you send.

`Name` is required and must be unique within the company. `Type` decides the format of the `Value` field in [customer parameters](/en/v1/customers/parameters/create), and can still be changed after creation:

| Type | Meaning       | Example `Value`         |
| ---- | ------------- | ----------------------- |
| `0`  | Text          | `"Öncelikli"`           |
| `1`  | Yes/No        | `true`                  |
| `2`  | Integer       | `12`                    |
| `3`  | Decimal       | `12.5`                  |
| `4`  | Date          | `"2026-09-17"`          |
| `5`  | Time          | `"14:30"`               |
| `6`  | Date and time | `"2026-09-17T14:30:00"` |


## OpenAPI

````yaml api-reference/openapi.json PUT /api/v1/customers/parameter-definitions/{parameterDefinitionId}
openapi: 3.1.1
info:
  title: Noyax API
  description: Server-to-server API for integrations to access Noyax data.
  version: '1.0'
servers:
  - url: https://api.noyax.com
security:
  - Bearer: []
tags:
  - name: Sections
  - name: Warehouses
  - name: Product Critical Stock
  - name: Product groups
  - name: Product Parameter Definitions
  - name: Product Parameters
  - name: Product Prices
  - name: Products
  - name: Cities
  - name: Countries
  - name: Currencies
  - name: Districts
  - name: Shipment Definitions
  - name: Units
  - name: VAT rates
  - name: Customer Addresses
  - name: Customer Bank Accounts
  - name: Customer Definitions
  - name: Customer Group Members
  - name: Customer Links
  - name: Customer Parameters
  - name: Customer Representatives
  - name: Customers
  - name: Customer Statement
  - name: Customer Telephones
paths:
  /api/v1/customers/parameter-definitions/{parameterDefinitionId}:
    put:
      tags:
        - Customer Definitions
      summary: Update customer parameter definition
      description: >-
        Replaces all fields of the parameter definition. Fields that are not
        sent are cleared.
      parameters:
        - name: parameterDefinitionId
          in: path
          description: Parameter definition ID.
          required: true
          schema:
            type: string
            format: uuid
        - name: X-UserID
          in: header
          description: >-
            ID of the Noyax user the request is made on behalf of. Written to
            the audit fields of created, updated and deleted records.
          required: true
          schema:
            minimum: 1
            type: integer
            format: int32
        - name: X-CompanyID
          in: header
          description: >-
            ID of the company. The user must be assigned to this company. All
            reads and writes are limited to this company.
          required: true
          schema:
            minimum: 1
            type: integer
            format: int32
        - name: X-PeriodID
          in: header
          description: >-
            ID of the accounting period. Optional for customer endpoints; if
            sent, it is written to created records.
          schema:
            minimum: 1
            type: integer
            format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerParameterDefinitionRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/CustomerParameterDefinitionRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CustomerParameterDefinitionRequestDto'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResultOfCustomerParameterDefinitionDto
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
              example:
                Success: false
                ResultCode: '1902'
                Message: >-
                  Parameter definition name 'Segment' is already used in this
                  company.
                Errors:
                  - Code: '1902'
                    Message: >-
                      Parameter definition name 'Segment' is already used in
                      this company.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
              example:
                Success: false
                ResultCode: '0102'
                Message: Token has expired. Obtain a new token using the refresh token.
                Errors:
                  - Code: '0102'
                    Message: >-
                      Token has expired. Obtain a new token using the refresh
                      token.
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
              example:
                Success: false
                ResultCode: '0110'
                Message: You do not have permission for this operation.
                Errors:
                  - Code: '0110'
                    Message: You do not have permission for this operation.
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
              example:
                Success: false
                ResultCode: '1900'
                Message: Parameter definition not found.
                Errors:
                  - Code: '1900'
                    Message: Parameter definition not found.
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
              example:
                Success: false
                ResultCode: '0120'
                Message: Daily request limit (10000) exceeded.
                Errors:
                  - Code: '0120'
                    Message: Daily request limit (10000) exceeded.
components:
  schemas:
    CustomerParameterDefinitionRequestDto:
      type: object
      properties:
        Name:
          type:
            - 'null'
            - string
          description: >-
            Required. Parameter name, unique within the company. At most 255
            characters.
          example: Segment
        Type:
          type: integer
          description: >-
            Required. Value type: 0 Text, 1 Yes/No, 2 Integer, 3 Decimal, 4
            Date, 5 Time, 6 Date and time.
          format: int32
          example: 0
    DataResultOfCustomerParameterDefinitionDto:
      required:
        - Success
        - ResultCode
        - Data
      type: object
      properties:
        Success:
          type: boolean
          description: Whether the operation succeeded.
          example: true
        ResultCode:
          type: string
          description: >-
            "0000" on success. On failure, the code of the first error; all
            errors are listed in Errors.
          example: '0000'
        Message:
          type:
            - 'null'
            - string
          description: >-
            Error message when Success is false. Messages of all errors are
            joined into a single text.
        Data:
          $ref: '#/components/schemas/CustomerParameterDefinitionDto'
    ErrorResult:
      type: object
      properties:
        Success:
          type: boolean
          description: Whether the operation succeeded.
          example: false
        ResultCode:
          type:
            - 'null'
            - string
          description: >-
            "0000" on success. On failure, the code of the first error; all
            errors are listed in Errors.
        Message:
          type:
            - 'null'
            - string
          description: >-
            Error message when Success is false. Messages of all errors are
            joined into a single text.
        Errors:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/ResultError'
          description: All errors with their codes. Only present when Success is false.
    CustomerParameterDefinitionDto:
      type: object
      properties:
        Id:
          type: string
          description: >-
            Parameter definition ID. Use it as ParameterDefinitionId in
            parameters.
          format: uuid
        Name:
          type:
            - 'null'
            - string
          description: >-
            Required. Parameter name, unique within the company. At most 255
            characters.
          example: Segment
        Type:
          type: integer
          description: >-
            Required. Value type: 0 Text, 1 Yes/No, 2 Integer, 3 Decimal, 4
            Date, 5 Time, 6 Date and time.
          format: int32
          example: 0
    ResultError:
      required:
        - Code
        - Message
      type: object
      properties:
        Code:
          type: string
          description: Error code. See the result codes page for the full list.
        Message:
          type: string
          description: Error description.
  securitySchemes:
    Bearer:
      type: http
      description: Access token obtained from the Noyax auth service with your API key.
      scheme: bearer
      bearerFormat: JWT

````